Error
A valid request URL is required to generate request examples{
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"address4": "<string>",
"addressType": "<string>",
"cityOrTown": "<string>",
"countryCode": "<string>",
"isValidated": true,
"postalOrZipCode": "<string>",
"stateOrProvince": "<string>"
},
"allowFulfillmentWithNoStock": true,
"attributes": [
{
"attributeDefinition": {
"attributeCode": "<string>",
"displayGroup": "<string>",
"valueType": "<string>",
"adminName": "<string>",
"attributeFQN": "<string>",
"attributeMetadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"availableForDiscounts": true,
"availableForOrderRouting": true,
"content": {
"localeCode": "<string>",
"value": "<string>"
},
"dataType": "<string>",
"id": 123,
"inputType": "<string>",
"isActive": true,
"isMultiValued": true,
"isReadOnly": true,
"isRequired": true,
"isVisible": true,
"namespace": "<string>",
"order": 123,
"validation": {
"maxDateTime": "2023-11-07T05:31:56Z",
"maxNumericValue": 123,
"maxStringLength": 123,
"minDateTime": "2023-11-07T05:31:56Z",
"minNumericValue": 123,
"minStringLength": 123,
"regularExpression": "<string>"
},
"vocabularyValues": [
{
"value": "<string>",
"content": {
"localeCode": "<string>",
"value": "<string>"
},
"isHidden": true,
"sequence": 123
}
]
},
"attributeDefinitionId": 123,
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"fullyQualifiedName": "<string>",
"values": [
"<unknown>"
]
}
],
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"capacity": {
"shipmentsPerUnit": 123,
"unitOfMeasure": "<string>"
},
"code": "<string>",
"cutoffTimes": {
"schedules": [
{
"fulfillmentType": "<string>",
"times": {
"friday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"monday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"saturday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"sunday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"thursday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"tuesday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"wednesday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
}
}
}
],
"timeZone": {
"ianaCode": "<string>",
"id": "<string>",
"isDaylightSavingsTime": true,
"offset": 123
}
},
"deliveryConsolidation": true,
"description": "<string>",
"dropShip": {
"vendorCode": "<string>"
},
"express": true,
"fax": "<string>",
"fulfillmentTypes": [
{
"code": "<string>",
"name": "<string>"
}
],
"geo": {
"lat": 123,
"lng": 123
},
"includeInInventoryAggregrate": true,
"includeInLocationExport": true,
"isDisabled": true,
"locationTypes": [
{
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"code": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"note": "<string>",
"phone": "<string>",
"processingTimes": {
"fulfillment": [
{
"fulfillmentTypeCode": "<string>",
"unit": "<string>",
"value": 123
}
],
"receive": {
"unit": "<string>",
"value": 123
}
},
"regularHours": {
"friday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"monday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"saturday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"sunday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"thursday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"timeZone": "<string>",
"tuesday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"wednesday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
}
},
"requiresManifest": true,
"shipToHomeConsolidation": true,
"shippingOriginContact": {
"companyOrOrganization": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastNameOrSurname": "<string>",
"middleNameOrInitial": "<string>",
"phoneNumber": "<string>"
},
"slaConfigurations": [
{
"isEnabled": true,
"slaId": 123,
"targetServiceLevelPercentage": 123
}
],
"supportsInventory": true,
"tags": [
"<string>"
],
"transferEnabled": true,
"warehouseEnabled": true
}Add Location
Add a new location.
POST
/
commerce
/
admin
/
locations
Error
A valid request URL is required to generate request examples{
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"address4": "<string>",
"addressType": "<string>",
"cityOrTown": "<string>",
"countryCode": "<string>",
"isValidated": true,
"postalOrZipCode": "<string>",
"stateOrProvince": "<string>"
},
"allowFulfillmentWithNoStock": true,
"attributes": [
{
"attributeDefinition": {
"attributeCode": "<string>",
"displayGroup": "<string>",
"valueType": "<string>",
"adminName": "<string>",
"attributeFQN": "<string>",
"attributeMetadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"availableForDiscounts": true,
"availableForOrderRouting": true,
"content": {
"localeCode": "<string>",
"value": "<string>"
},
"dataType": "<string>",
"id": 123,
"inputType": "<string>",
"isActive": true,
"isMultiValued": true,
"isReadOnly": true,
"isRequired": true,
"isVisible": true,
"namespace": "<string>",
"order": 123,
"validation": {
"maxDateTime": "2023-11-07T05:31:56Z",
"maxNumericValue": 123,
"maxStringLength": 123,
"minDateTime": "2023-11-07T05:31:56Z",
"minNumericValue": 123,
"minStringLength": 123,
"regularExpression": "<string>"
},
"vocabularyValues": [
{
"value": "<string>",
"content": {
"localeCode": "<string>",
"value": "<string>"
},
"isHidden": true,
"sequence": 123
}
]
},
"attributeDefinitionId": 123,
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"fullyQualifiedName": "<string>",
"values": [
"<unknown>"
]
}
],
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"capacity": {
"shipmentsPerUnit": 123,
"unitOfMeasure": "<string>"
},
"code": "<string>",
"cutoffTimes": {
"schedules": [
{
"fulfillmentType": "<string>",
"times": {
"friday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"monday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"saturday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"sunday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"thursday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"tuesday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
},
"wednesday": {
"endTime": "<string>",
"isClosed": true,
"startTime": "<string>"
}
}
}
],
"timeZone": {
"ianaCode": "<string>",
"id": "<string>",
"isDaylightSavingsTime": true,
"offset": 123
}
},
"deliveryConsolidation": true,
"description": "<string>",
"dropShip": {
"vendorCode": "<string>"
},
"express": true,
"fax": "<string>",
"fulfillmentTypes": [
{
"code": "<string>",
"name": "<string>"
}
],
"geo": {
"lat": 123,
"lng": 123
},
"includeInInventoryAggregrate": true,
"includeInLocationExport": true,
"isDisabled": true,
"locationTypes": [
{
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"code": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"note": "<string>",
"phone": "<string>",
"processingTimes": {
"fulfillment": [
{
"fulfillmentTypeCode": "<string>",
"unit": "<string>",
"value": 123
}
],
"receive": {
"unit": "<string>",
"value": 123
}
},
"regularHours": {
"friday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"monday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"saturday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"sunday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"thursday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"timeZone": "<string>",
"tuesday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
},
"wednesday": {
"closeTime": "<string>",
"isClosed": true,
"label": "<string>",
"openTime": "<string>"
}
},
"requiresManifest": true,
"shipToHomeConsolidation": true,
"shippingOriginContact": {
"companyOrOrganization": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastNameOrSurname": "<string>",
"middleNameOrInitial": "<string>",
"phoneNumber": "<string>"
},
"slaConfigurations": [
{
"isEnabled": true,
"slaId": 123,
"targetServiceLevelPercentage": 123
}
],
"supportsInventory": true,
"tags": [
"<string>"
],
"transferEnabled": true,
"warehouseEnabled": true
}Authorizations
JWT Authorization header using the Bearer scheme.
Query Parameters
limits which fields are returned in the response body
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

